.tb-loading-wrap {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-color: #1f365c;
  z-index: 9999999;
}

.tb-loading-wrap .tb-loading-spinner {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
}

.tb-loading-spinner {
  position: relative;
  margin: auto;
  width: 200px;
  height: 134px;
  text-align: center;
}

.tb-loading-spinner.small {
  transform: scale(0.6);
}

.tb-loading-spinner > .tb-xsona-spinner__inner {
  position: absolute;
  top: 0;
  left: 0;
  width: 200px;
  height: 134px;
}

.tb-loading-spinner > .tb-xsona-spinner__inner img {
  width: 200px;
  height: 134px;
}

.tb-loading-spinner > .tb-xsona-spinner__inner .wrap-fill {
  position: absolute;
  top: 0px;
  height: 134px;
  width: 134px;
  overflow: hidden;

  -webkit-animation: x-fill 1.4s infinite ease-in-out;
  -moz-animation: x-fill 1.4s infinite ease-in-out;
  animation: x-fill 1.4s infinite ease-in-out;
}

.tb-loading-spinner > .tb-xsona-spinner__inner .wrap-fill img {
  position: absolute;
  top: 0px;

  -webkit-animation: x-img-fill 1.4s infinite ease-in-out;
  -moz-animation: x-img-fill 1.4s infinite ease-in-out;
  animation: x-img-fill 1.4s infinite ease-in-out;
}

@-webkit-keyframes x-fill {
  0% { width: 0px; left: 0px; right: auto; }
  40% { width: 200px; left: 0px; right: auto; }
  50% { width: 200px; left: auto; right: 0px;  }
  90% { width: 0px; left: auto; right: 0px;  }
  100% { width: 0px; left: 0px; right: auto; }
}

@-moz-keyframes x-fill {
  0% { width: 0px; left: 0px; right: auto; }
  40% { width: 200px; left: 0px; right: auto; }
  50% { width: 200px; left: auto; right: 0px;  }
  90% { width: 0px; left: auto; right: 0px;  }
  100% { width: 0px; left: 0px; right: auto; }
}

@keyframes x-fill {
  0% { width: 0px; left: 0px; right: auto; }
  40% { width: 200px; left: 0px; right: auto; }
  50% { width: 200px; left: auto; right: 0px;  }
  90% { width: 0px; left: auto; right: 0px;  }
  100% { width: 0px; left: 0px; right: auto; }
}

@-webkit-keyframes x-fill {
  0% { left: 0px; right: auto; }
  40% { left: 0px; right: auto; }
  50% { left: auto; right: 0px;  }
  90% { left: auto; right: 0px;  }
  100% { left: 0px; right: auto; }
}

@-moz-keyframes x-fill {
  0% { left: 0px; right: auto; }
  40% { left: 0px; right: auto; }
  50% { left: auto; right: 0px;  }
  90% { left: auto; right: 0px;  }
  100% { left: 0px; right: auto; }
}

@keyframes x-img-fill {
  0% { left: 0px; right: auto; }
  40% { left: 0px; right: auto; }
  50% { left: auto; right: 0px;  }
  90% { left: auto; right: 0px;  }
  100% { left: 0px; right: auto; }
}